Bug 185340 - audio/xmms-wma: Fix build with clang
Summary: audio/xmms-wma: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-25 10:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.30 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:09 UTC
- Fix build with clang
Comment 1 dfilter service freebsd_committer 2014-01-19 08:57:48 UTC
Author: miwi
Date: Sun Jan 19 08:57:40 2014
New Revision: 340234
URL: http://svnweb.freebsd.org/changeset/ports/340234
QAT: https://qat.redports.org/buildarchive/r340234/

Log:
  - Fix build with clang
  
  PR:		185340
  Submitted by:	ports fury

Modified:
  head/audio/xmms-wma/Makefile

Modified: head/audio/xmms-wma/Makefile
==============================================================================
--- head/audio/xmms-wma/Makefile	Sun Jan 19 08:56:58 2014	(r340233)
+++ head/audio/xmms-wma/Makefile	Sun Jan 19 08:57:40 2014	(r340234)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmms-wma
 PORTVERSION=	1.0.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://mcmcc.bat.ru/xmms-wma/
 
@@ -12,38 +12,54 @@ COMMENT=	WMA plugin for xmms
 
 LIB_DEPENDS=	libxmms.so:${PORTSDIR}/multimedia/xmms
 
-USES=		gmake
-NO_STAGE=	yes
-USE_BZIP2=	yes
-CFLAGS+=	-fPIC -DPIC
+OPTIONS_DEFINE=	ICONV
+OPTIONS_DEFAULT=ICONV
+
 ONLY_FOR_ARCHS=	i386 amd64 sparc64
+
+USE_BZIP2=	yes
+USES=		compiler gmake
 USE_XORG=	xi xext x11
+USE_CSTD=	gnu89
+USE_LDCONFIG=	yes
+
+CFLAGS+=	-fPIC -DPIC
 
 PLIST_FILES=	lib/xmms/Input/libwma.so
-USE_LDCONFIG=	yes
 
-.if defined(WITH_ICONV)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MICONV}
+USES+=		iconv
 CFLAGS+=	-DUSE_ICONV
-USES=		iconv
 .endif
 
 .include <bsd.port.pre.mk>
 
-pre-everything::
-.if !defined(WITH_ICONV)
-	@${ECHO_MSG} "You may specify the following on the command line:"
-	@${ECHO_MSG} " "
-	@${ECHO_MSG} "WITH_ICONV=yes	Enable tag recoding support using iconv"
-	@${ECHO_MSG} " "
+.if ${CHOSEN_COMPILER_TYPE} == "clang"
+CFLAGS+=	-D__inline__=
 .endif
 
 post-extract:
-	@${REINPLACE_CMD} -e 's|gcc|${CC}|g' ${WRKSRC}/Makefile.inc
-	@${REINPLACE_CMD} -e 's|gcc|${CC}|g' ${WRKSRC}/ffmpeg-strip-wma/config.mak
-	@${REINPLACE_CMD} -e 's|CFLAGS :=|CFLAGS := ${CFLAGS}|g' ${WRKSRC}/Makefile.inc
-.if ${ARCH}=="sparc64"
-	@${REINPLACE_CMD} -e 's|X86|SPARC64|' ${WRKSRC}/ffmpeg-strip-wma/config.mak
-	@${REINPLACE_CMD} -e 's|#define ARCH_X86 1|#define ARCH_SPARC64 1|' ${WRKSRC}/ffmpeg-strip-wma/config.h
+	@${REINPLACE_CMD} -e \
+		's|^CC :=|CC ?=| ; \
+		 s|^CFLAGS :=|CFLAGS += | ; \
+		 s|-O[0-9]||' ${WRKSRC}/Makefile.inc
+	@${REINPLACE_CMD} -e \
+		's|^MAKE=|MAKE?=| ; \
+		 s|^CC=|CC?=| ; \
+		 s|-O[0-9]||' ${WRKSRC}/ffmpeg-strip-wma/config.mak
+.if ${ARCH} == "sparc64"
+	@${REINPLACE_CMD} -e \
+		 s|X86|SPARC64|' ${WRKSRC}/ffmpeg-strip-wma/config.mak
+	@${REINPLACE_CMD} -e \
+		's|#define ARCH_X86 1|#define ARCH_SPARC64 1|' \
+		${WRKSRC}/ffmpeg-strip-wma/config.h
 .endif
 
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/xmms/Input
+	(cd ${WRKSRC} && ${INSTALL_LIB} libwma.so \
+		${STAGEDIR}${PREFIX}/lib/xmms/Input)
+
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2014-01-19 08:57:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-01-19 08:59:03 UTC
Author: miwi
Date: Sun Jan 19 08:58:54 2014
New Revision: 340235
URL: http://svnweb.freebsd.org/changeset/ports/340235
QAT: https://qat.redports.org/buildarchive/r340235/

Log:
  - Fix build with clang
  
  PR:		185340
  Submitted by:	ports fury

Added:
  head/graphics/xmms-dancingparticles/files/patch-plugin.cc   (contents, props changed)
  head/graphics/xmms-dancingparticles/files/patch-signal.cc   (contents, props changed)
Deleted:
  head/graphics/xmms-dancingparticles/pkg-plist
Modified:
  head/graphics/xmms-dancingparticles/Makefile   (contents, props changed)
  head/graphics/xmms-dancingparticles/files/patch-Makefile   (contents, props changed)

Modified: head/graphics/xmms-dancingparticles/Makefile
==============================================================================
--- head/graphics/xmms-dancingparticles/Makefile	Sun Jan 19 08:57:40 2014	(r340234)
+++ head/graphics/xmms-dancingparticles/Makefile	Sun Jan 19 08:58:54 2014	(r340235)
@@ -13,17 +13,33 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Makes particles dance with pretty neon colors
 
-LIB_DEPENDS=	t1.5:${PORTSDIR}/devel/t1lib \
-		xmms.4:${PORTSDIR}/multimedia/xmms
+LIB_DEPENDS=	libt1.so:${PORTSDIR}/devel/t1lib \
+		libxmms.so:${PORTSDIR}/multimedia/xmms
 
 USE_GL=		glut
 USE_GNOME=	gtk12
 USE_SDL=	sdl
-CFLAGS+=	-I${PREFIX}/include
 
-NO_STAGE=	yes
+PLIST_FILES=	lib/xmms/Visualization/libdancingparticles2.so \
+		%%DATADIR%%/dance.epic \
+		%%DATADIR%%/dancingparticles.conf \
+		%%DATADIR%%/font.pfb \
+		%%DATADIR%%/xmms.epic
+PLIST_DIRS=	%%DATADIR%%
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|\(#include.*\)SDL/\(SDL.*\)|\1\2| ; \
-		s|/usr/local|${PREFIX}|' ${WRKSRC}/*.cc ${WRKSRC}/*.h
+	@${FIND} ${WRKSRC} -name "*.cc" -or -name "*.h" -print0 | ${XARGS} -0 \
+		${REINPLACE_CMD} -e \
+		's|\(#include.*\)SDL/\(SDL.*\)|\1\2| ; \
+		 s|/usr/local|${PREFIX}|'
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/xmms/Visualization
+	(cd ${WRKSRC} && ${INSTALL_LIB} libdancingparticles2.so \
+		${STAGEDIR}${PREFIX}/lib/xmms/Visualization)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+.for i in dance.epic dancingparticles.conf font.pfb xmms.epic
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DATADIR})
+.endfor
 
 .include <bsd.port.mk>

Modified: head/graphics/xmms-dancingparticles/files/patch-Makefile
==============================================================================
--- head/graphics/xmms-dancingparticles/files/patch-Makefile	Sun Jan 19 08:57:40 2014	(r340234)
+++ head/graphics/xmms-dancingparticles/files/patch-Makefile	Sun Jan 19 08:58:54 2014	(r340235)
@@ -1,5 +1,5 @@
---- Makefile.orig	Sat Jan 31 08:05:51 2004
-+++ Makefile	Fri Oct 14 20:53:22 2005
+--- Makefile.orig	2004-01-31 20:05:51.000000000 +0900
++++ Makefile	2013-12-12 06:44:52.000000000 +0900
 @@ -1,14 +1,13 @@
 -CC = gcc
  #OPT = -m486 -O2
@@ -8,9 +8,9 @@
 -CFLAGS = $(OPT) -Wall -fPIC `gtk-config --cflags gthread`
 -LFLAGS = -shared -fPIC -L/usr/local/lib -lm -lstdc++ -lGL -lGLU -L/usr/X11R6/lib -lt1 -lSDL
 -LFLAGS2 =  -L/usr/local/lib -lm -lstdc++ -lGL -lGLU -L/usr/X11R6/lib -lpthread -lgtk -lgdk -lglut -lt1
-+CFLAGS += -fPIC `gtk-config --cflags gthread` `${SDL_CONFIG} --cflags`
-+LFLAGS = -shared -fPIC -L${LOCALBASE}/lib -lm -lstdc++ -lGL -lGLU -lt1 `${SDL_CONFIG} --libs`
-+LFLAGS2 =  -L${LOCALBASE}/lib -lm -lstdc++ -lGL -lGLU -lgtk -lgdk -lglut -lt1
++CPPFLAGS += -fPIC `${GTK_CONFIG} --cflags gthread` `${SDL_CONFIG} --cflags`
++LFLAGS = -shared -fPIC -lm -lGL -lGLU -lt1 `${SDL_CONFIG} --libs`
++LFLAGS2 = -lm -lGL -lGLU -lglut -lt1 `${GTK_CONFIG} --libs gdk`
  OBJ = plugin.o gl.o etoile.o readme.o parameters.o epic.o config.o signal.o t1font.o
  
  INSTALL-DIR=`xmms-config --visualization-plugin-dir`
@@ -19,24 +19,18 @@
  BIN=libdancingparticles2.so
  all: $(BIN)
  
-@@ -33,14 +32,12 @@
- 	rm -f *.o core *~
+@@ -20,11 +19,11 @@
+ 	$(CC) -o test $(OBJ) main.o $(LFLAGS2) 
  
- install: $(BIN)
--	strip $(BIN)
--	install  $(BIN) $(INSTALL-DIR) 
--	rm -Rf /usr/local/share/dancingparticles
--	mkdir /usr/local/share/dancingparticles
--	install dance.epic /usr/local/share/dancingparticles/
--	install dancingparticles.conf /usr/local/share/dancingparticles/
--	install xmms.epic /usr/local/share/dancingparticles/
--	install font.pfb /usr/local/share/dancingparticles/
-+	$(BSD_INSTALL_PROGRAM) $(BIN) $(INSTALL-DIR)
-+	mkdir $(DATADIR)
-+	$(BSD_INSTALL_DATA) dance.epic $(DATADIR)
-+	$(BSD_INSTALL_DATA) dancingparticles.conf $(DATADIR)
-+	$(BSD_INSTALL_DATA) xmms.epic $(DATADIR)
-+	$(BSD_INSTALL_DATA) font.pfb $(DATADIR)
+ .cpp.o: 
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
+ .cc.o: 
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
+ .c.o:
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CC) $(CFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
  
- 
- plugin.o: plugin.cc etoile.h
+ clean:
+ 	rm -f *.o core *.so* test *~ *\# readme.c

Added: head/graphics/xmms-dancingparticles/files/patch-plugin.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xmms-dancingparticles/files/patch-plugin.cc	Sun Jan 19 08:58:54 2014	(r340235)
@@ -0,0 +1,45 @@
+--- plugin.cc.orig
++++ plugin.cc
+@@ -109,7 +109,7 @@
+ 
+ static SDL_Surface *opengl_screen = NULL;
+ static SDL_Thread *draw_thread = NULL;
+-SDL_mutex *mutex = NULL;
++SDL_mutex *sdlmutex = NULL;
+ 
+ VisPlugin dp_vplugin = {
+   NULL,                      /* internal    */
+@@ -158,14 +158,14 @@
+ void
+ init_mutexes (void)
+ {
+-  mutex = SDL_CreateMutex();
++  sdlmutex = SDL_CreateMutex();
+ }
+ 
+ 
+ void
+ destroy_mutexes (void)
+ {
+-  SDL_DestroyMutex(mutex);
++  SDL_DestroyMutex(sdlmutex);
+ }
+ 
+ void
+@@ -456,14 +456,14 @@
+ 
+   while (!point_general->finished) {
+     if (!point_general->paused) {
+-      SDL_mutexP(mutex);
++      SDL_mutexP(sdlmutex);
+ 
+ 	  update_playlist_info();
+ 	  look_conf_file();
+ 	  etoileLoop();
+       draw_gl(); 
+ 
+-      SDL_mutexV(mutex);
++      SDL_mutexV(sdlmutex);
+       calc_fps();
+       calc_max_fps();
+       printf("\rFPS: %3.2f", framerate); printf(" ");

Added: head/graphics/xmms-dancingparticles/files/patch-signal.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xmms-dancingparticles/files/patch-signal.cc	Sun Jan 19 08:58:54 2014	(r340235)
@@ -0,0 +1,29 @@
+--- signal.cc.orig
++++ signal.cc
+@@ -24,7 +24,7 @@
+ #include <SDL/SDL_thread.h>
+ 
+ beatdetector detector;
+-extern SDL_mutex *mutex;
++extern SDL_mutex *sdlmutex;
+ 
+ beatdetector::beatdetector()
+ {
+@@ -93,7 +93,7 @@
+ {
+   int i;
+   
+-  SDL_mutexP(mutex);
++  SDL_mutexP(sdlmutex);
+   
+   for(i = 0; i < 32; i++) 
+     heights[i] = (heights[i] + spectrum[0][i]) / 2;
+@@ -126,7 +126,7 @@
+ 
+   curloudness = (curloudness + 1)%200;
+ 
+-  SDL_mutexV(mutex);
++  SDL_mutexV(sdlmutex);
+ 
+ }
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-25 10:42:06 UTC
Author: miwi
Date: Sat Jan 25 10:41:57 2014
New Revision: 341006
URL: http://svnweb.freebsd.org/changeset/ports/341006
QAT: https://qat.redports.org/buildarchive/r341006/

Log:
  MFH: r340234
  
  - Fix build with clang
  
  PR:		185340
  Submitted by:	ports fury

Modified:
  branches/2014Q1/audio/xmms-wma/Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/xmms-wma/Makefile
==============================================================================
--- branches/2014Q1/audio/xmms-wma/Makefile	Sat Jan 25 10:39:36 2014	(r341005)
+++ branches/2014Q1/audio/xmms-wma/Makefile	Sat Jan 25 10:41:57 2014	(r341006)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmms-wma
 PORTVERSION=	1.0.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://mcmcc.bat.ru/xmms-wma/
 
@@ -12,38 +12,54 @@ COMMENT=	WMA plugin for xmms
 
 LIB_DEPENDS=	libxmms.so:${PORTSDIR}/multimedia/xmms
 
-USES=		gmake
-NO_STAGE=	yes
-USE_BZIP2=	yes
-CFLAGS+=	-fPIC -DPIC
+OPTIONS_DEFINE=	ICONV
+OPTIONS_DEFAULT=ICONV
+
 ONLY_FOR_ARCHS=	i386 amd64 sparc64
+
+USE_BZIP2=	yes
+USES=		compiler gmake
 USE_XORG=	xi xext x11
+USE_CSTD=	gnu89
+USE_LDCONFIG=	yes
+
+CFLAGS+=	-fPIC -DPIC
 
 PLIST_FILES=	lib/xmms/Input/libwma.so
-USE_LDCONFIG=	yes
 
-.if defined(WITH_ICONV)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MICONV}
+USES+=		iconv
 CFLAGS+=	-DUSE_ICONV
-USES=		iconv
 .endif
 
 .include <bsd.port.pre.mk>
 
-pre-everything::
-.if !defined(WITH_ICONV)
-	@${ECHO_MSG} "You may specify the following on the command line:"
-	@${ECHO_MSG} " "
-	@${ECHO_MSG} "WITH_ICONV=yes	Enable tag recoding support using iconv"
-	@${ECHO_MSG} " "
+.if ${CHOSEN_COMPILER_TYPE} == "clang"
+CFLAGS+=	-D__inline__=
 .endif
 
 post-extract:
-	@${REINPLACE_CMD} -e 's|gcc|${CC}|g' ${WRKSRC}/Makefile.inc
-	@${REINPLACE_CMD} -e 's|gcc|${CC}|g' ${WRKSRC}/ffmpeg-strip-wma/config.mak
-	@${REINPLACE_CMD} -e 's|CFLAGS :=|CFLAGS := ${CFLAGS}|g' ${WRKSRC}/Makefile.inc
-.if ${ARCH}=="sparc64"
-	@${REINPLACE_CMD} -e 's|X86|SPARC64|' ${WRKSRC}/ffmpeg-strip-wma/config.mak
-	@${REINPLACE_CMD} -e 's|#define ARCH_X86 1|#define ARCH_SPARC64 1|' ${WRKSRC}/ffmpeg-strip-wma/config.h
+	@${REINPLACE_CMD} -e \
+		's|^CC :=|CC ?=| ; \
+		 s|^CFLAGS :=|CFLAGS += | ; \
+		 s|-O[0-9]||' ${WRKSRC}/Makefile.inc
+	@${REINPLACE_CMD} -e \
+		's|^MAKE=|MAKE?=| ; \
+		 s|^CC=|CC?=| ; \
+		 s|-O[0-9]||' ${WRKSRC}/ffmpeg-strip-wma/config.mak
+.if ${ARCH} == "sparc64"
+	@${REINPLACE_CMD} -e \
+		 s|X86|SPARC64|' ${WRKSRC}/ffmpeg-strip-wma/config.mak
+	@${REINPLACE_CMD} -e \
+		's|#define ARCH_X86 1|#define ARCH_SPARC64 1|' \
+		${WRKSRC}/ffmpeg-strip-wma/config.h
 .endif
 
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/xmms/Input
+	(cd ${WRKSRC} && ${INSTALL_LIB} libwma.so \
+		${STAGEDIR}${PREFIX}/lib/xmms/Input)
+
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2014-01-25 10:46:30 UTC
Author: miwi
Date: Sat Jan 25 10:46:21 2014
New Revision: 341007
URL: http://svnweb.freebsd.org/changeset/ports/341007
QAT: https://qat.redports.org/buildarchive/r341007/

Log:
  MFH: r340235
  
  - Fix build with clang
  
  PR:		185340
  Submitted by:	ports fury

Added:
  branches/2014Q1/graphics/xmms-dancingparticles/files/patch-plugin.cc
     - copied unchanged from r340235, head/graphics/xmms-dancingparticles/files/patch-plugin.cc
  branches/2014Q1/graphics/xmms-dancingparticles/files/patch-signal.cc
     - copied unchanged from r340235, head/graphics/xmms-dancingparticles/files/patch-signal.cc
Deleted:
  branches/2014Q1/graphics/xmms-dancingparticles/pkg-plist
Modified:
  branches/2014Q1/graphics/xmms-dancingparticles/Makefile   (contents, props changed)
  branches/2014Q1/graphics/xmms-dancingparticles/files/patch-Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/graphics/xmms-dancingparticles/Makefile
==============================================================================
--- branches/2014Q1/graphics/xmms-dancingparticles/Makefile	Sat Jan 25 10:41:57 2014	(r341006)
+++ branches/2014Q1/graphics/xmms-dancingparticles/Makefile	Sat Jan 25 10:46:21 2014	(r341007)
@@ -13,17 +13,33 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Makes particles dance with pretty neon colors
 
-LIB_DEPENDS=	t1.5:${PORTSDIR}/devel/t1lib \
-		xmms.4:${PORTSDIR}/multimedia/xmms
+LIB_DEPENDS=	libt1.so:${PORTSDIR}/devel/t1lib \
+		libxmms.so:${PORTSDIR}/multimedia/xmms
 
 USE_GL=		glut
 USE_GNOME=	gtk12
 USE_SDL=	sdl
-CFLAGS+=	-I${PREFIX}/include
 
-NO_STAGE=	yes
+PLIST_FILES=	lib/xmms/Visualization/libdancingparticles2.so \
+		%%DATADIR%%/dance.epic \
+		%%DATADIR%%/dancingparticles.conf \
+		%%DATADIR%%/font.pfb \
+		%%DATADIR%%/xmms.epic
+PLIST_DIRS=	%%DATADIR%%
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|\(#include.*\)SDL/\(SDL.*\)|\1\2| ; \
-		s|/usr/local|${PREFIX}|' ${WRKSRC}/*.cc ${WRKSRC}/*.h
+	@${FIND} ${WRKSRC} -name "*.cc" -or -name "*.h" -print0 | ${XARGS} -0 \
+		${REINPLACE_CMD} -e \
+		's|\(#include.*\)SDL/\(SDL.*\)|\1\2| ; \
+		 s|/usr/local|${PREFIX}|'
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/xmms/Visualization
+	(cd ${WRKSRC} && ${INSTALL_LIB} libdancingparticles2.so \
+		${STAGEDIR}${PREFIX}/lib/xmms/Visualization)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+.for i in dance.epic dancingparticles.conf font.pfb xmms.epic
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DATADIR})
+.endfor
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/graphics/xmms-dancingparticles/files/patch-Makefile
==============================================================================
--- branches/2014Q1/graphics/xmms-dancingparticles/files/patch-Makefile	Sat Jan 25 10:41:57 2014	(r341006)
+++ branches/2014Q1/graphics/xmms-dancingparticles/files/patch-Makefile	Sat Jan 25 10:46:21 2014	(r341007)
@@ -1,5 +1,5 @@
---- Makefile.orig	Sat Jan 31 08:05:51 2004
-+++ Makefile	Fri Oct 14 20:53:22 2005
+--- Makefile.orig	2004-01-31 20:05:51.000000000 +0900
++++ Makefile	2013-12-12 06:44:52.000000000 +0900
 @@ -1,14 +1,13 @@
 -CC = gcc
  #OPT = -m486 -O2
@@ -8,9 +8,9 @@
 -CFLAGS = $(OPT) -Wall -fPIC `gtk-config --cflags gthread`
 -LFLAGS = -shared -fPIC -L/usr/local/lib -lm -lstdc++ -lGL -lGLU -L/usr/X11R6/lib -lt1 -lSDL
 -LFLAGS2 =  -L/usr/local/lib -lm -lstdc++ -lGL -lGLU -L/usr/X11R6/lib -lpthread -lgtk -lgdk -lglut -lt1
-+CFLAGS += -fPIC `gtk-config --cflags gthread` `${SDL_CONFIG} --cflags`
-+LFLAGS = -shared -fPIC -L${LOCALBASE}/lib -lm -lstdc++ -lGL -lGLU -lt1 `${SDL_CONFIG} --libs`
-+LFLAGS2 =  -L${LOCALBASE}/lib -lm -lstdc++ -lGL -lGLU -lgtk -lgdk -lglut -lt1
++CPPFLAGS += -fPIC `${GTK_CONFIG} --cflags gthread` `${SDL_CONFIG} --cflags`
++LFLAGS = -shared -fPIC -lm -lGL -lGLU -lt1 `${SDL_CONFIG} --libs`
++LFLAGS2 = -lm -lGL -lGLU -lglut -lt1 `${GTK_CONFIG} --libs gdk`
  OBJ = plugin.o gl.o etoile.o readme.o parameters.o epic.o config.o signal.o t1font.o
  
  INSTALL-DIR=`xmms-config --visualization-plugin-dir`
@@ -19,24 +19,18 @@
  BIN=libdancingparticles2.so
  all: $(BIN)
  
-@@ -33,14 +32,12 @@
- 	rm -f *.o core *~
+@@ -20,11 +19,11 @@
+ 	$(CC) -o test $(OBJ) main.o $(LFLAGS2) 
  
- install: $(BIN)
--	strip $(BIN)
--	install  $(BIN) $(INSTALL-DIR) 
--	rm -Rf /usr/local/share/dancingparticles
--	mkdir /usr/local/share/dancingparticles
--	install dance.epic /usr/local/share/dancingparticles/
--	install dancingparticles.conf /usr/local/share/dancingparticles/
--	install xmms.epic /usr/local/share/dancingparticles/
--	install font.pfb /usr/local/share/dancingparticles/
-+	$(BSD_INSTALL_PROGRAM) $(BIN) $(INSTALL-DIR)
-+	mkdir $(DATADIR)
-+	$(BSD_INSTALL_DATA) dance.epic $(DATADIR)
-+	$(BSD_INSTALL_DATA) dancingparticles.conf $(DATADIR)
-+	$(BSD_INSTALL_DATA) xmms.epic $(DATADIR)
-+	$(BSD_INSTALL_DATA) font.pfb $(DATADIR)
+ .cpp.o: 
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
+ .cc.o: 
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
+ .c.o:
+-	$(CC) $(CFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
++	$(CC) $(CFLAGS) $(CPPFLAGS) $(XMMS_DATADIR_FLAGS) -c $< 
  
- 
- plugin.o: plugin.cc etoile.h
+ clean:
+ 	rm -f *.o core *.so* test *~ *\# readme.c

Copied: branches/2014Q1/graphics/xmms-dancingparticles/files/patch-plugin.cc (from r340235, head/graphics/xmms-dancingparticles/files/patch-plugin.cc)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/graphics/xmms-dancingparticles/files/patch-plugin.cc	Sat Jan 25 10:46:21 2014	(r341007, copy of r340235, head/graphics/xmms-dancingparticles/files/patch-plugin.cc)
@@ -0,0 +1,45 @@
+--- plugin.cc.orig
++++ plugin.cc
+@@ -109,7 +109,7 @@
+ 
+ static SDL_Surface *opengl_screen = NULL;
+ static SDL_Thread *draw_thread = NULL;
+-SDL_mutex *mutex = NULL;
++SDL_mutex *sdlmutex = NULL;
+ 
+ VisPlugin dp_vplugin = {
+   NULL,                      /* internal    */
+@@ -158,14 +158,14 @@
+ void
+ init_mutexes (void)
+ {
+-  mutex = SDL_CreateMutex();
++  sdlmutex = SDL_CreateMutex();
+ }
+ 
+ 
+ void
+ destroy_mutexes (void)
+ {
+-  SDL_DestroyMutex(mutex);
++  SDL_DestroyMutex(sdlmutex);
+ }
+ 
+ void
+@@ -456,14 +456,14 @@
+ 
+   while (!point_general->finished) {
+     if (!point_general->paused) {
+-      SDL_mutexP(mutex);
++      SDL_mutexP(sdlmutex);
+ 
+ 	  update_playlist_info();
+ 	  look_conf_file();
+ 	  etoileLoop();
+       draw_gl(); 
+ 
+-      SDL_mutexV(mutex);
++      SDL_mutexV(sdlmutex);
+       calc_fps();
+       calc_max_fps();
+       printf("\rFPS: %3.2f", framerate); printf(" ");

Copied: branches/2014Q1/graphics/xmms-dancingparticles/files/patch-signal.cc (from r340235, head/graphics/xmms-dancingparticles/files/patch-signal.cc)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/graphics/xmms-dancingparticles/files/patch-signal.cc	Sat Jan 25 10:46:21 2014	(r341007, copy of r340235, head/graphics/xmms-dancingparticles/files/patch-signal.cc)
@@ -0,0 +1,29 @@
+--- signal.cc.orig
++++ signal.cc
+@@ -24,7 +24,7 @@
+ #include <SDL/SDL_thread.h>
+ 
+ beatdetector detector;
+-extern SDL_mutex *mutex;
++extern SDL_mutex *sdlmutex;
+ 
+ beatdetector::beatdetector()
+ {
+@@ -93,7 +93,7 @@
+ {
+   int i;
+   
+-  SDL_mutexP(mutex);
++  SDL_mutexP(sdlmutex);
+   
+   for(i = 0; i < 32; i++) 
+     heights[i] = (heights[i] + spectrum[0][i]) / 2;
+@@ -126,7 +126,7 @@
+ 
+   curloudness = (curloudness + 1)%200;
+ 
+-  SDL_mutexV(mutex);
++  SDL_mutexV(sdlmutex);
+ 
+ }
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"